# jtag simulation

## gen SweRV module from scala

```bash
cd Quasar
export RV_ROOT=${PWD}
cd tools
make clean
make conf
make -f $RV_ROOT/tools/Makefile sbt_
# Quasar/generated_rtl/quasar_wrapper.sv
```

## start openocd

`openocd -d -f swerv.cfg`

## start gdb

`/opt/riscv/bin/riscv32-unknown-elf-gdb -ex "target extended-remote :3333"`

## quick start

At demo/jtag/  

1. `make all`  
2. `make openocd` 
3. `make gdb`