
OUTPUT_ARCH( "riscv" )
ENTRY(_start)

SECTIONS
{
  . = 0x80000000;
  .text_init   : { *(.text_init*) }
  .text   : { *(.text*) }
  _end = .;
  . = 0xf0040000;
  .data  :  ALIGN(0x800) { *(.*data) *(.rodata*) STACK = ALIGN(16) + 0x8000; }
  .bss : { *(.bss) }
  . = 0xd0580000;
  .data.io   : { *(.data.io) }
}
